if ngx.req.get_method() ~= ngx.HTTP_GET then
    return
end

ngx.req.read_body()
local args, err = ngx.req.get_post_args()
if not args then
    ngx.log(ngx.ERR, "failed to get post args")
    ngx.exit(ngx.HTTP_BAD_REQUEST)
end

if type(args) ~= "table" then
    ngx.log(ngx.ERR, "invalid args type")
    ngx.exit(ngx.HTTP_BAD_REQUEST)
end

local xdict = {}

for key, val in pairs(args) do
    if key ~= "password" and key ~= "rpassword" then
        xdict[key] = tostring(val)
    end
end

ngx.req.set_body_data(ngx.encode_args(xdict))
